plugins/invalidate_rect.html failing on Windows
[WebKit-https.git] / Source / WebKit.pro
1 TEMPLATE = subdirs
2 CONFIG += ordered
3
4 include(WebKit.pri)
5
6 !v8 {
7     exists($$PWD/JavaScriptCore/JavaScriptCore.pro): SUBDIRS += JavaScriptCore/JavaScriptCore.pro
8     exists($$PWD/JavaScriptCore/jsc.pro): SUBDIRS += JavaScriptCore/jsc.pro
9 }
10
11 webkit2:exists($$PWD/WebKit2/WebKit2.pro): SUBDIRS += WebKit2/WebKit2.pro
12
13 SUBDIRS += WebCore
14
15 webkit2:exists($$PWD/WebKit2/WebProcess.pro): SUBDIRS += WebKit2/WebProcess.pro
16
17 contains(QT_CONFIG, declarative) {
18     exists($$PWD/WebKit/qt/declarative): SUBDIRS += WebKit/qt/declarative
19 }
20
21 exists($$PWD/WebKit/qt/tests): SUBDIRS += WebKit/qt/tests
22
23 build-qtscript {
24     SUBDIRS += \
25         JavaScriptCore/qt/api/QtScript.pro \
26         JavaScriptCore/qt/tests \
27         JavaScriptCore/qt/benchmarks
28 }
29
30 symbian {
31     # Forward the install target to WebCore. A workaround since INSTALLS is not implemented for symbian
32     install.commands = $(MAKE) -C WebCore install
33     QMAKE_EXTRA_TARGETS += install
34 }
35
36 include(WebKit/qt/docs/docs.pri)